/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Controller;

import Dao.UserCreationDao;
import DataEntryBean.ChequeDetailsBean;
import java.io.IOException;
import java.util.ArrayList;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 *
 * @author 1004242
 */
public class UserCreationServlet extends HttpServlet{
  @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        HttpSession session = request.getSession(false);
        String pacsId = (String) session.getAttribute("pacsId");
        String tellerId = (String)session.getAttribute("user");
        UserCreationDao aiDao = new UserCreationDao();
        String result = null;
      

        try{
            
           // String userName = (String) request.getParameter("userName");
           // String userRole = (String) request.getParameter("userRole");
           // String limit = (String) request.getParameter("limit");
           // String ipFlag = (String) request.getParameter("ipFlag");
           // String staticIP = (String) request.getParameter("staticIP");
            result = aiDao.UserCreationServletProc(pacsId, userName, userRole, limit, tellerId, ipFlag, staticIP);

            request.setAttribute("message1", result);
            request.getRequestDispatcher("/Deposit/UserCreation.jsp").forward(request, response);

        } catch (Exception e) {
           // e.printStackTrace();
           System.out.println("Error occurred during processing.");
            request.setAttribute("message1", "Error occured. Please try again");
            request.getRequestDispatcher("/Deposit/UserCreation.jsp").forward(request, response);
        
        } finally {
            System.out.println("Processing done.");
        }

    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */

    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
